import RingfingerEvent from "./RingfingerEvent.js";
import Fingerprint from "../types/Fingerprint.js";

export default class FingerprintCreatedEvent extends RingfingerEvent
{
	private fingerprint: Fingerprint;

	public constructor(fingerprint: Fingerprint) {
		super(FingerprintCreatedEvent.name);

		this.fingerprint = fingerprint;
	}

	public getFingerprint(): Fingerprint
	{
		return this.fingerprint;
	}
}