import RingfingerEvent from "./RingfingerEvent.js";
import Fingerprint from "../types/Fingerprint.js";

export default class FingerprintGetEvent extends RingfingerEvent
{
	public static readonly NAME: string = 'fingerprintgetevent';

	private fingerprint: Fingerprint;

	public constructor(fingerprint: Fingerprint) {
		super(FingerprintGetEvent.NAME);

		this.fingerprint = fingerprint;
	}

	public getFingerprint(): Fingerprint
	{
		return this.fingerprint;
	}
}